Bug 8478 - Add PalmOne Tungsten|T3 support
: Add PalmOne Tungsten|T3 support
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-12 21:19 by
Modified: 2008-06-28 17:20 (History)


Attachments
10-usb-pda.fdi-no-fallback-known.patch (3.23 KB, patch)
2006-04-04 11:46, Sir Raorn
no flags Details | Diff
palm.hal.diff (5.09 KB, text/plain)
2006-04-27 10:30, Sir Raorn
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-12 21:19:10
Add to /usr/share/hal/fdi/information/10freedesktop/10-usb-pda.fdi before
Tungsten T5 section:

  <!-- Tungsten T3 -->
  <match key="@serial.physical_device:usb.product_id" int="0x0060">
    <match key="serial.port" int="1">
      <append key="info.capabilities" type="strlist">pda</append>
      <merge key="pda.platform" type="string">palm</merge>
      <merge key="pda.palm.hotsync_interface"
type="copy_property">serial.device</merge>
    </match>
  </match>

Product ID for T|T3 - 0x60, T|T5 - 0x61...
------- Comment #1 From 2005-11-13 22:40:10 -------
Прошу прощения, что не совсем в тему, но хочу добавить, что запись про Tungsten
T5 в равной степени относится к Handspring Treo 650. Будет здорово, если в
соответствующей секции (vendor_id=0x830, product_id=0x61) это будет упомянуто.
------- Comment #2 From 2005-11-16 17:16:53 -------
fixed (hal-0.5.5.1-alt1)
------- Comment #3 From 2006-04-04 11:44:38 -------
Есть мнение, что "All the other PalmOS PDAs as fallback" прописывает
pda.palm.hotsync_interface для всех serial.port, в том числе и для уже
обработаных устройств.
------- Comment #4 From 2006-04-04 11:46:00 -------
Created an attachment (id=1446) [details]
10-usb-pda.fdi-no-fallback-known.patch

Высталяем "pda.platform" для собсно усттройства, а не только для определённого
порта.
------- Comment #5 From 2006-04-26 20:29:22 -------
ttyUSB совсем перестали показываться в lshal.  Можно наверно закрыть как
INVALID...
------- Comment #6 From 2006-04-27 10:23:02 -------
хм.. а то, что они перестали показываться - это правильно ?
------- Comment #7 From 2006-04-27 10:29:41 -------
Не знаю.  diff на всякий случай в аттаче.
------- Comment #8 From 2006-04-27 10:30:12 -------
Created an attachment (id=1468) [details]
palm.hal.diff
------- Comment #9 From 2008-06-19 01:06:38 -------
на мантейнера
------- Comment #10 From 2008-06-19 12:13:44 -------
это еще актуально?
------- Comment #11 From 2008-06-27 21:25:42 -------
8 дней. не актуально